VARKON Version 1.18A 2004-09-07

## rap_inrobtarget - function

Description
Read Rapid 'robtaget' variable to varkon variables

Syntax
RAP_INROBTARGET(client, var_name, trans, rot, conf, extax);

INT | client
STRING | var_name
VECTOR | trans
FLOAT | rot(4)
FLOAT | conf(4)
FLOAT | extax(6)

Principal parameters
client | - id of the created RPC connection to use
var_name | - the name of the rapid robtarget-variable to read
trans | - position (x,y,z)
rot | - orientaion (q1, q2, q3, q4)
conf | - confdata (cf1, cf4, cf6, cfx)
extax | - external axes (eax_a, eax_b, eax_c, eax_d, eax_e, eax_f)

Optional parameters
none

Return value
An INT value equal to the current error status as below:

>=0 | RAP variable handling status: operation was successfull
-1 | Remote procedure call failed.
<-1 | RAP variable handling error message, see RAP service specification (3HAC 7697-1) page 127

Comments
RAP routines is only available for xvarkon (UNIX platforms), the use of RAP-routines need also to be enabled when building xvarkon. See $VARKON_ROOT/sources/makefile.

See also
tcp_connect() tcp_listen() tcp_close() tcp_outint() tcp_inint() tcp_outvec() tcp_invec() tcp_infloat() tcp_getlocal() tcp_getremote()

VARKON Homepage | Index